ECORE_AUDIO_API ECORE_AUDIO_API_WEAK const Efl_Event_Description _ECORE_AUDIO_IN_EVENT_IN_LOOPED =
   EFL_EVENT_DESCRIPTION("in,looped");
ECORE_AUDIO_API ECORE_AUDIO_API_WEAK const Efl_Event_Description _ECORE_AUDIO_IN_EVENT_IN_STOPPED =
   EFL_EVENT_DESCRIPTION("in,stopped");
ECORE_AUDIO_API ECORE_AUDIO_API_WEAK const Efl_Event_Description _ECORE_AUDIO_IN_EVENT_IN_SAMPLERATE_CHANGED =
   EFL_EVENT_DESCRIPTION("in,samplerate,changed");

void _ecore_audio_in_speed_set(Eo *obj, Ecore_Audio_Input *pd, double speed);


static Eina_Error
__eolian_ecore_audio_in_speed_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_in_speed_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_in_speed_set, EFL_FUNC_CALL(speed), double speed);

double _ecore_audio_in_speed_get(const Eo *obj, Ecore_Audio_Input *pd);


static Eina_Value
__eolian_ecore_audio_in_speed_get_reflect(const Eo *obj)
{
   double val = ecore_audio_obj_in_speed_get(obj);
   return eina_value_double_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_speed_get, double, 0);

void _ecore_audio_in_samplerate_set(Eo *obj, Ecore_Audio_Input *pd, int samplerate);


static Eina_Error
__eolian_ecore_audio_in_samplerate_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_in_samplerate_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_in_samplerate_set, EFL_FUNC_CALL(samplerate), int samplerate);

int _ecore_audio_in_samplerate_get(const Eo *obj, Ecore_Audio_Input *pd);


static Eina_Value
__eolian_ecore_audio_in_samplerate_get_reflect(const Eo *obj)
{
   int val = ecore_audio_obj_in_samplerate_get(obj);
   return eina_value_int_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_samplerate_get, int, 0);

void _ecore_audio_in_channels_set(Eo *obj, Ecore_Audio_Input *pd, int channels);


static Eina_Error
__eolian_ecore_audio_in_channels_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   int cval;
   if (!eina_value_int_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_in_channels_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_in_channels_set, EFL_FUNC_CALL(channels), int channels);

int _ecore_audio_in_channels_get(const Eo *obj, Ecore_Audio_Input *pd);


static Eina_Value
__eolian_ecore_audio_in_channels_get_reflect(const Eo *obj)
{
   int val = ecore_audio_obj_in_channels_get(obj);
   return eina_value_int_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_channels_get, int, 0);

static void __eolian_ecore_audio_in_preloaded_set(Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED, Eina_Bool preloaded EINA_UNUSED)
{
}


static Eina_Error
__eolian_ecore_audio_in_preloaded_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_in_preloaded_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_in_preloaded_set, EFL_FUNC_CALL(preloaded), Eina_Bool preloaded);

static Eina_Bool __eolian_ecore_audio_in_preloaded_get(const Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED)
{
   return 0;
}


static Eina_Value
__eolian_ecore_audio_in_preloaded_get_reflect(const Eo *obj)
{
   Eina_Bool val = ecore_audio_obj_in_preloaded_get(obj);
   return eina_value_bool_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_preloaded_get, Eina_Bool, 0);

void _ecore_audio_in_looped_set(Eo *obj, Ecore_Audio_Input *pd, Eina_Bool looped);


static Eina_Error
__eolian_ecore_audio_in_looped_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_in_looped_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_in_looped_set, EFL_FUNC_CALL(looped), Eina_Bool looped);

Eina_Bool _ecore_audio_in_looped_get(const Eo *obj, Ecore_Audio_Input *pd);


static Eina_Value
__eolian_ecore_audio_in_looped_get_reflect(const Eo *obj)
{
   Eina_Bool val = ecore_audio_obj_in_looped_get(obj);
   return eina_value_bool_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_looped_get, Eina_Bool, 0);

static void __eolian_ecore_audio_in_length_set(Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED, double length EINA_UNUSED)
{
}


static Eina_Error
__eolian_ecore_audio_in_length_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   ecore_audio_obj_in_length_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_VOID_FUNC_BODYV(ecore_audio_obj_in_length_set, EFL_FUNC_CALL(length), double length);

double _ecore_audio_in_length_get(const Eo *obj, Ecore_Audio_Input *pd);


static Eina_Value
__eolian_ecore_audio_in_length_get_reflect(const Eo *obj)
{
   double val = ecore_audio_obj_in_length_get(obj);
   return eina_value_double_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_length_get, double, 0);

Ecore_Audio *_ecore_audio_in_output_get(const Eo *obj, Ecore_Audio_Input *pd);

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_output_get, Ecore_Audio *, NULL);

double _ecore_audio_in_remaining_get(const Eo *obj, Ecore_Audio_Input *pd);


static Eina_Value
__eolian_ecore_audio_in_remaining_get_reflect(const Eo *obj)
{
   double val = ecore_audio_obj_in_remaining_get(obj);
   return eina_value_double_init(val);
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODY_CONST(ecore_audio_obj_in_remaining_get, double, 0);

ssize_t _ecore_audio_in_read(Eo *obj, Ecore_Audio_Input *pd, void *buf, size_t len);

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODYV(ecore_audio_obj_in_read, ssize_t, 0, EFL_FUNC_CALL(buf, len), void *buf, size_t len);

ssize_t _ecore_audio_in_read_internal(Eo *obj, Ecore_Audio_Input *pd, void *buf, size_t len);

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODYV(ecore_audio_obj_in_read_internal, ssize_t, 0, EFL_FUNC_CALL(buf, len), void *buf, size_t len);

static double __eolian_ecore_audio_in_seek(Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED, double offs EINA_UNUSED, int mode EINA_UNUSED)
{
   return 0;
}

ECORE_AUDIO_API ECORE_AUDIO_API_WEAK EFL_FUNC_BODYV(ecore_audio_obj_in_seek, double, 0, EFL_FUNC_CALL(offs, mode), double offs, int mode);

Efl_Object *_ecore_audio_in_efl_object_constructor(Eo *obj, Ecore_Audio_Input *pd);


void _ecore_audio_in_efl_object_destructor(Eo *obj, Ecore_Audio_Input *pd);


void _ecore_audio_in_ecore_audio_vio_set(Eo *obj, Ecore_Audio_Input *pd, Ecore_Audio_Vio *vio, void *data, efl_key_data_free_func free_func);


static Eina_Bool __eolian_ecore_audio_in_ecore_audio_source_set(Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED, const char *source EINA_UNUSED)
{
   return 0;
}


static const char *__eolian_ecore_audio_in_ecore_audio_source_get(const Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED)
{
   return NULL;
}


static Eina_Bool __eolian_ecore_audio_in_ecore_audio_format_set(Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED, Ecore_Audio_Format format EINA_UNUSED)
{
   return 0;
}


static Ecore_Audio_Format __eolian_ecore_audio_in_ecore_audio_format_get(const Eo *obj EINA_UNUSED, Ecore_Audio_Input *pd EINA_UNUSED)
{
   return 0;
}


static Eina_Bool
_ecore_audio_in_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef ECORE_AUDIO_IN_EXTRA_OPS
#define ECORE_AUDIO_IN_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_speed_set, _ecore_audio_in_speed_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_speed_get, _ecore_audio_in_speed_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_samplerate_set, _ecore_audio_in_samplerate_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_samplerate_get, _ecore_audio_in_samplerate_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_channels_set, _ecore_audio_in_channels_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_channels_get, _ecore_audio_in_channels_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_preloaded_set, __eolian_ecore_audio_in_preloaded_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_preloaded_get, __eolian_ecore_audio_in_preloaded_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_looped_set, _ecore_audio_in_looped_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_looped_get, _ecore_audio_in_looped_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_length_set, __eolian_ecore_audio_in_length_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_length_get, _ecore_audio_in_length_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_output_get, _ecore_audio_in_output_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_remaining_get, _ecore_audio_in_remaining_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_read, _ecore_audio_in_read),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_read_internal, _ecore_audio_in_read_internal),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_in_seek, __eolian_ecore_audio_in_seek),
      EFL_OBJECT_OP_FUNC(efl_constructor, _ecore_audio_in_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _ecore_audio_in_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_vio_set, _ecore_audio_in_ecore_audio_vio_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_source_set, __eolian_ecore_audio_in_ecore_audio_source_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_source_get, __eolian_ecore_audio_in_ecore_audio_source_get),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_format_set, __eolian_ecore_audio_in_ecore_audio_format_set),
      EFL_OBJECT_OP_FUNC(ecore_audio_obj_format_get, __eolian_ecore_audio_in_ecore_audio_format_get),
      ECORE_AUDIO_IN_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"speed", __eolian_ecore_audio_in_speed_set_reflect, __eolian_ecore_audio_in_speed_get_reflect},
      {"samplerate", __eolian_ecore_audio_in_samplerate_set_reflect, __eolian_ecore_audio_in_samplerate_get_reflect},
      {"channels", __eolian_ecore_audio_in_channels_set_reflect, __eolian_ecore_audio_in_channels_get_reflect},
      {"preloaded", __eolian_ecore_audio_in_preloaded_set_reflect, __eolian_ecore_audio_in_preloaded_get_reflect},
      {"looped", __eolian_ecore_audio_in_looped_set_reflect, __eolian_ecore_audio_in_looped_get_reflect},
      {"length", __eolian_ecore_audio_in_length_set_reflect, __eolian_ecore_audio_in_length_get_reflect},
      {"remaining", NULL, __eolian_ecore_audio_in_remaining_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _ecore_audio_in_class_desc = {
   EO_VERSION,
   "Ecore.Audio.In",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Ecore_Audio_Input),
   _ecore_audio_in_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(ecore_audio_in_class_get, &_ecore_audio_in_class_desc, ECORE_AUDIO_CLASS, NULL);
